dataf.sim.2.CFF07 {ddalpha} | R Documentation

## Model 2 from Cuevas et al. (2007)

### Description

Model 2 from Cuevas et al. (2007)

Processes:
X(t) = m_0(t) + e(t), m_0(t) = 30*(1-t)*t^2 + 0.5*abs(sin(20*pi*t))
Y(t) = an 8-knot spline approximation of X
e(t): Gaussian with mean = 0, cov(X(s), X(t)) = 0.2*exp(-abs(s - t)/0.3)
the processes are discretized at `numDiscrets` equally distant points on [0, 1].

### Usage

    dataf.sim.2.CFF07(numTrain = 100, numTest = 50, numDiscrets = 51, plot = FALSE)

### Arguments

`numTrain` | number of objects in the training sample
`numTest` | number of objects in the test sample
`numDiscrets` | number of points for each object
`plot` | if TRUE the training sample is plotted

### Format

A data strusture containing `$learn` and `$test` functional data. The functional data are given as data structures.

`dataf`

  The functional data as a list of objects. Each object is characterized by two coordinates.

  `args`

    a numeric vector

  `vals`

    a numeric vector

`labels`

  The classes of the objects: 0 for X(t), 1 for Y(t)

### Source

Cuevas, A., Febrero, M. and Fraiman, R. (2007). Robust estimation and classification for functional data via projection-based depth notions. Computational Statistics 22 481-496.

### See Also

`dataf.*` for other functional data sets

`plot.functional` for building plots of functional data

### Examples

    ## load the dataset
    dataf = dataf.sim.2.CFF07(numTrain = 100, numTest = 50, numDiscrets = 51)
    learn = dataf$learn
    test = dataf$test

    ## view the classes
    unique(learn$labels)

    ## access the 5th point of the 2nd object
    learn$dataf[[2]]$args[5]
    learn$dataf[[2]]$vals[5]

    ## Not run:
    ## plot the data
    plot(learn)
    plot(test)

    ## or
    dataf = dataf.sim.2.CFF07(numTrain = 100, numTest = 50, numDiscrets = 51, plot = TRUE)

    ## End(Not run)

[Package ddalpha version 1.3.1 Index]